package gov.va.vinci.dart.json;

public class WorkflowNameView implements Comparable {

	private int workflowId = 0;
	private String workflowName = "";
	private int groupId = 0;
	
	
	public int getGroupId() {
		return groupId;
	}

	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}

	public int getWorkflowId() {
		return workflowId;
	}

	public void setWorkflowId(int workflowId) {
		this.workflowId = workflowId;
	}
	
	public String getWorkflowName() {
		return workflowName;
	}
	
	public void setWorkflowName(String workflowName) {
		this.workflowName = workflowName;
	}
	
	
	
	@Override
	public int compareTo(Object obj) {
		if( obj == null ) {
			return -1;
		}
		if ((obj instanceof WorkflowNameView) == false) {
			return -1;
		}

		WorkflowNameView obj2 = (WorkflowNameView)obj;

		// sort by workflowId
		if (this.workflowId == obj2.workflowId) {
			return 0;
		}
		
		return this.workflowId < obj2.workflowId ? -1 : 1;
	}
	
}
